document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_3700 | ---
+++
@@ -5,12 +5,18 @@
source /root/auth
# get an image to test with
-wget http://uec-images.ubuntu.com/releases/11.10/release/ubuntu-11.10-server-cloudimg-amd64-disk1.img
+#wget http://uec-images.ubuntu.com/releases/11.10/release/ubuntu-11.10-server-cloudimg-amd64-disk1.img
# import that image into glance
... | bash |
d_bash_3701 | ---
+++
@@ -19,18 +19,27 @@
OPTIND=1
output_dir="./jail"
+paths_to_files=()
+
while getopts "o:v:f:" opt; do
case "$opt" in
f)
- add_to_jail $OPTARG "$output_dir"
+ paths_to_files+="$OPTARG "
;;
v)
- add_to_jail $(which "$OPTARG") "$output_dir"
+ paths_to_... | bash |
d_bash_3702 | ---
+++
@@ -5,6 +5,7 @@
git add . && \
+git status && \
git add -u && \
git commit -m "Update config files $(date)" && \
git push | bash |
d_bash_3703 | ---
+++
@@ -1,3 +1,5 @@
+source ${projectDir}String/Util/StringUtil.sh
+
Comparator(){
isEqual(){
if [[ $1 == $2 ]]; then
@@ -5,6 +7,10 @@
else
return;
fi
+ }
+
+ isEqualIgnoreCase(){
+ isEqual $(StringUtil toLowerCase $1) $(StringUtil toLowerCase $2)
}
isLessThan(){ | bash |
d_bash_3704 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/sh
-malloc_so=`dirname $0`/malloc_debug.so
+malloc_so=`dirname $0`/${malloc_so-malloc_debug.so}
gdb -ex "set exec-wrapper env LD_PRELOAD=$malloc_so" --args "$@" | bash |
d_bash_3705 | ---
+++
@@ -18,8 +18,8 @@
"use_http": true,
"test_user": "admin",
"test_user_password": "admin",
- "reflex_instances": 4,
- "reflex_applications": 1
+ "test_app_instances": 4,
+ "test_applications": 1
}
' > $CONFIG
| bash |
d_bash_3706 | ---
+++
@@ -1,45 +1,28 @@
-#!/bin/bash
+#!/bin/bash
+
+# Auto-accept license for Java
+echo oracle-java8-installer shared/accepted-oracle-license-v1-1 select true | /usr/bin/debconf-set-selections
# Install packages
+add-apt-repository ppa:webupd8team/java
apt-get update
-apt-get install openjdk-8-jdk -y
-apt-ge... | bash |
d_bash_3707 | ---
+++
@@ -5,7 +5,7 @@
SOURCE_DIR=$HOME/dotfiles
-DOTFILES=( inputrc screenrc vimrc wgetrc zshrc gemrc gitconfig )
+DOTFILES=( gemrc gitconfig gvimrc inputrc irbrc screenrc vimrc wgetrc zshrc )
SSH_CONFIG=ssh_config
makeln() | bash |
d_bash_3708 | ---
+++
@@ -15,7 +15,7 @@
-H "Authorization: Bearer $GITHUB_ACCESS_TOKEN_FOR_PF_RELEASES" \
-d "{\"event_type\": \"release-triggered\"}" 2>&1)
-if ! echo "${output}" | grep "HTTP\/1.1 204" > /dev/null; then
+if ! echo "${output}" | grep "HTTP\/2 204" > /dev/null; then
echo "$output" | sed "s/${G... | bash |
d_bash_3709 | ---
+++
@@ -6,7 +6,7 @@
#
# then use the script in your tests like
# check_url -t 6 -w 10 -o "--no-check-certificate --output-document=/dev/null" "url_to_check"
-OPTIONS="--no-check-certificate --output-document=/dev/null"
+OPTIONS="--output-document=/dev/null"
TRIES=6
WAIT=10
| bash |
d_bash_3710 | ---
+++
@@ -7,7 +7,7 @@
haxelib run duell update -verbose -yestoall
-# haxelib run duell build android -test -verbose -D jenkins -yestoall
+haxelib run duell build android -test -verbose -D jenkins -yestoall
haxelib run duell build html5 -test -verbose -D jenkins -yestoall
| bash |
d_bash_3711 | ---
+++
@@ -6,7 +6,7 @@
echo "https://github.com/adoptium/temurin8-binaries/releases/download/jdk8u302-b08/OpenJDK8U-jdk_x64_linux_hotspot_8u302b08.tar.gz"
;;
java11)
- echo "https://github.com/AdoptOpenJDK/openjdk11-binaries/releases/download/jdk-11.0.11%2B9/OpenJDK11U-jdk_x64_linux_hotspot_11.0.11_9.tar.g... | bash |
d_bash_3712 | ---
+++
@@ -10,6 +10,10 @@
DROP TABLE IF EXISTS total_entries;
+DROP TABLE IF EXISTS current_entry_number;
+
+DROP TABLE IF EXISTS current_keys;
+
DROP TABLE IF EXISTS item;
DROP TABLE IF EXISTS entry; | bash |
d_bash_3713 | ---
+++
@@ -4,7 +4,3 @@
find . -type f -exec chmod 0444 {} \;
find . -type d -exec chmod 0555 {} \;
-
-chmod 0777 assets
-chmod 0777 protected/runtime
-chmod 0777 backups | bash |
d_bash_3714 | ---
+++
@@ -4,18 +4,17 @@
main() {
local subl="/Applications/Sublime Text.app/Contents/SharedSupport/bin/subl"
- local sublime="/usr/local/bin/sublime"
local gmvault="~/Dropbox/Backup/.gmvault"
local alfredWorkflows="~/Dropbox/Backup/workflows"
local vms="~/Dropbox/Backup/VirtualBox\ VMs/"
-... | bash |
d_bash_3715 | ---
+++
@@ -5,6 +5,7 @@
cert_dir='/opt/local/etc/nginx/ssl/'
# SSL
+log "nginx ssl setup"
if mdata-get nginx_ssl 1>/dev/null 2>&1; then
mdata-get nginx_ssl > ${cert_dir}nginx.pem
else
@@ -15,3 +16,7 @@
cat ${cert_dir}nginx.crt ${cert_dir}nginx.key > ${cert_dir}nginx.pem
fi
chmod 400 ${cert_dir}nginx.pem
+... | bash |
d_bash_3716 | ---
+++
@@ -5,6 +5,9 @@
# Halt on error
set -e
+
+#Verify that the loader is working
+./vk_loader_validation_tests
# Verify that validation checks in source match documentation
./vkvalidatelayerdoc.sh | bash |
d_bash_3717 | ---
+++
@@ -17,6 +17,7 @@
# specific language governing permissions and limitations
# under the License.
#
+SHUTDOWN_WAIT=60
pid=`cat catalina.pid`
if [ -n "$pid" ] | bash |
d_bash_3718 | ---
+++
@@ -5,21 +5,21 @@
#
# Return if requirements are not found.
-if [[ ! -d "$HOME/.carton" ]]; then
+if [[ ! -d "$HOME/.cask" ]]; then
return 1
fi
-# Prepend Carton bin directory.
-path=($HOME/.carton/bin $path)
+# Prepend Cask bin directory.
+path=($HOME/.cask/bin $path)
# Load Carton completion
-s... | bash |
d_bash_3719 | ---
+++
@@ -61,6 +61,7 @@
then
rm /rails/log/production.log
fi
+mkdir -p /rails/log/
ln -s /dev/stdout /rails/log/production.log
chown -R www-data:www-data /rails | bash |
d_bash_3720 | ---
+++
@@ -14,6 +14,7 @@
case $TEST_SUITE in
linters)
bundle exec rubocop -Dc .rubocop.yml
+ bundle exec slim-lint .
jshint .
;;
rspec) | bash |
d_bash_3721 | ---
+++
@@ -6,6 +6,6 @@
mkdir -p $STRANGEDIR
cp CuReSim.jar $STRANGEDIR
-cp curesim $STRANGEDIR
+cp $(dirname "$0")/curesim $STRANGEDIR
(cd ${PREFIX}/bin && ln -s ${STRANGEDIR}/curesim) | bash |
d_bash_3722 | ---
+++
@@ -1,6 +1,6 @@
## Load smart urls if available
for d in $fpath; do
- if [[ -e "$d/url-quote-magic"]]; then
+ if [[ -e "$d/url-quote-magic" ]]; then
autoload -U url-quote-magic
zle -N self-insert url-quote-magic
fi | bash |
d_bash_3723 | ---
+++
@@ -12,8 +12,8 @@
echo "yes" | pecl install event
# install 'libevent' PHP extension
- curl http://pecl.php.net/get/libevent-0.0.5.tgz | tar -xz
- pushd libevent-0.0.5
+ curl http://pecl.php.net/get/libevent-0.1.0.tgz | tar -xz
+ pushd libevent-0.1.0
phpize
./configure
m... | bash |
d_bash_3724 | ---
+++
@@ -2,6 +2,9 @@
if [[ ! -d "/var/log/kolla/zun" ]]; then
mkdir -p /var/log/kolla/zun
+fi
+if [[ $(stat -c %U:%G /var/log/kolla/zun) != "zun:kolla" ]]; then
+ chown zun:kolla /var/log/kolla/zun
fi
if [[ $(stat -c %a /var/log/kolla/zun) != "755" ]]; then
chmod 755 /var/log/kolla/zun | bash |
d_bash_3725 | ---
+++
@@ -14,6 +14,15 @@
cd boto
python setup.py install
+# Install SimpleDB deps
+curl -Lo amazon-simpledb-perl-library.zip \
+ http://amazon-simpledb-perl-library.notlong.com
+
+unzip amazon-simpledb-perl-library.zip
+
+sitelib=$(perl -MConfig -le 'print $Config{sitelib}')
+sudo scp -r amazon-simpledb-*-perl... | bash |
d_bash_3726 | ---
+++
@@ -1,3 +1,11 @@
#!/bin/bash -ie
# simple test harness for testing mgmt via omv
+CWD=`pwd`
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" # dir!
+cd "$DIR" >/dev/null # work from test directory
+
+# vtest+ tests
vtest+ omv/helloworld.yaml
+
+# return to original dir
+cd "$CWD" >/dev/null | bash |
d_bash_3727 | ---
+++
@@ -15,14 +15,14 @@
REPO_DIR=$3
SET_WD=$4
+mkdir -p $REPO_DIR
+cd $REPO_DIR
+
if [ -n "$SET_WD" ]
then
SetWorkingDirectory "$REPO_DIR"
fi
SetParameter "GOPHER_JOB_DIR" "$REPO_DIR"
-
-mkdir -p $REPO_DIR
-cd $REPO_DIR
if [ -e .git ]
then | bash |
d_bash_3728 | ---
+++
@@ -21,12 +21,12 @@
( [[ -n "$SSH_TTY" ]] && zstyle -t ':prezto:module:tmux:auto-start' remote ) ||
( [[ -z "$SSH_TTY" ]] && zstyle -t ':prezto:module:tmux:auto-start' local ) \
); then
- tmux_session='prezto'
+ tmux start-server
- # Create a first 'prezto' session if tmux is starting.
+ # Create... | bash |
d_bash_3729 | ---
+++
@@ -1,5 +1,7 @@
# Add this dir's bin to path, along with some other standard bin/sbin
export PATH="$PATH:$ZSH_DIR/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/bin:/usr/sbin:/sbin"
+# https://gist.github.com/DanHerbert/9520689
+export PATH="$HOME/.npm-packages/bin:$PATH"
source "$ZSH_DIR/antigen.zsh"
sou... | bash |
d_bash_3730 | ---
+++
@@ -23,6 +23,14 @@
sum ${1} 1
}
+ isDivisible(){
+ if [[ ! $(StringValidator isNum ${2}) ]]; then
+ MathException notANumberException ${2}
+ fi
+
+ BaseComparator isEqual $(modulus ${1} ${2}) 0
+ }
+
modulus(){
if [[ ! $(StringValidator isNum ${2}) ]]; then
MathException notANumberExcepti... | bash |
d_bash_3731 | ---
+++
@@ -1,9 +1,9 @@
#!/usr/bin/env bash
-cp /Applications/Visual\ Studio.app/Contents/Resources/lib/monodevelop/bin/Mono.Addins.dll lib/
-cp /Applications/Visual\ Studio.app/Contents/Resources/lib/monodevelop/bin/MonoDevelop.Core.dll lib/
-cp /Applications/Visual\ Studio.app/Contents/Resources/lib/monodevelop/... | bash |
d_bash_3732 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
bundle install
-bundle exec shotgun -o '*' -p 3009
+bundle exec shotgun -o '0.0.0.0' -p 3009 | bash |
d_bash_3733 | ---
+++
@@ -5,7 +5,13 @@
eval $(parse_yaml src/misc/config.yml "")
generate_tools_yml $tool_playbook/tools.yml
-sleep 10
+
+echo "Wait until http://$host:$port is up"
+until $(curl --output /dev/null --silent --head --fail http://$host:$port); do
+ printf '.'
+ sleep 1
+done
+
cd $tool_playbook
ansible-pl... | bash |
d_bash_3734 | ---
+++
@@ -1,3 +1,2 @@
GIT=https://gitlab.redox-os.org/redox-os/extrautils.git
-BRANCH=redox-unix
BUILD_DEPENDS=(xz) | bash |
d_bash_3735 | ---
+++
@@ -3,7 +3,7 @@
set -eux
set -o pipefail
-sudo apt-get install -y python3 python3-dev python3-pip swig portaudio19-dev libpulse-dev
+sudo apt-get install -y python3 python3-dev python3-pip swig portaudio19-dev libpulse-dev pocketsphinx-en-us
sudo pip3 install tox
tox -e py35 | bash |
d_bash_3736 | ---
+++
@@ -23,6 +23,7 @@
install_cask postman
# Least-essential apps
install_cask appcleaner
+install_cask imageoptim
install_cask namechanger
install_cask the-unarchiver
install_cask mamp | bash |
d_bash_3737 | ---
+++
@@ -13,6 +13,6 @@
then
echo "You just tried to force push master - are you sure that's what you want?"
else
- git push origin +$BRANCH_NAME
+ git push origin $BRANCH_NAME --force-with-lease
fi
} | bash |
d_bash_3738 | ---
+++
@@ -21,7 +21,7 @@
# Get input files
cp DIR/$input DIR/pdb*AF*pdb .
-/salilab/diva1/home/modeller/mod9v6 - ${SGE_TASK_ID} < $input >& $output
+/salilab/diva1/home/modeller/mod9v7 - ${SGE_TASK_ID} < $input >& $output
# Copy back PDB
cp *.B* DIR | bash |
d_bash_3739 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
-CURRENT_BRANCH=`git rev-parse --abbrev-ref HEAD`
+CURRENT_BRANCH=`git name-rev --name-only HEAD`
if [ $CURRENT_BRANCH != 'master' ] ; then
echo "Build not on master. Skipped bower-chosen release" | bash |
d_bash_3740 | ---
+++
@@ -3,8 +3,13 @@
# git pull origin master;
function syncFishFolder() {
- rsync --exclude ".git/" --exclude ".DS_Store" --exclude "bootstrap.sh" \
- --exclude "README.md" --exclude "LICENSE-MIT.txt" -avh --no-perms ./fish/ ~/.config/fish;
+ rsync --exclude ".git/" \
+ --exclude ".DS_Store" \
+ --exclude "... | bash |
d_bash_3741 | ---
+++
@@ -8,6 +8,9 @@
case $1 in
start)
+ # we must stop and disable chronyd on CentOS; it contends for NTP port 123
+ systemctl disable chronyd; systemctl stop chronyd
+ # kick off ntpd
mkdir -p $RUN_DIR
chown -R vcap:vcap $RUN_DIR
exec /var/vcap/packages/ntp-4.2.8p2/bin/ntpd -u vcap:... | bash |
d_bash_3742 | ---
+++
@@ -5,8 +5,7 @@
SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd -P)"
if ! [[ -x "$(command -v brew)" ]]; then
- /usr/bin/ruby -e "$(curl -fsSL \
- https://raw.githubusercontent.com/Homebrew/install/master/install)"
+ /bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Ho... | bash |
d_bash_3743 | ---
+++
@@ -22,3 +22,4 @@
alias gl='git l'
alias gpl='git pl'
alias gr='git remote -v'
+alias gfp='git fetch --all --prune' | bash |
d_bash_3744 | ---
+++
@@ -1,7 +1,18 @@
#!/bin/bash
+sources=(
+"https://picsum.photos/"
+"https://source.unsplash.com/random/"
+)
+
+url=${sources[$RANDOM % ${#sources[@]} ]}
dimension=$(xdpyinfo | awk '/dimensions/ {print $2}')
-wget -O /tmp/wallpaper.jpg "https://source.unsplash.com/random/${dimension}"
+if [[ ${url} == "h... | bash |
d_bash_3745 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/sh
+
+set -e
if which -- "$1" > /dev/null 2>&1; then
exec $@ | bash |
d_bash_3746 | ---
+++
@@ -13,10 +13,12 @@
exit
fi
-if ! [ -f $SCRIPT_DIRECTORY/local_config.py ]; then
- echo "ERROR: local_config.py not found"
- exit 1
-fi
+for config_file in local_config.py slave_pass.py; do
+ if ! [ -f "$SCRIPT_DIRECTORY/${config_file}" ]; then
+ echo "ERROR: ${config_file} not found"
+ exit ... | bash |
d_bash_3747 | ---
+++
@@ -11,4 +11,4 @@
psql $PARAMS crystal_pg_test -c "drop table if exists people; create table people( id serial primary key, last_name varchar(50), first_name varchar(50), number_of_dependents int )"
psql $PARAMS crystal_pg_test -c "drop table if exists something_else; create table something_else( id seria... | bash |
d_bash_3748 | ---
+++
@@ -3,7 +3,7 @@
set -e
export CANDIDATE_BUILD_NUMBER=$(cat candidate-version/version)
-export CANDIDATE_GEM_BUILD_NUMBER=$(cat candidate-gem-version/version || cat candidate-version/version)
+export CANDIDATE_BUILD_GEM_NUMBER=$(cat candidate-gem-version/version || cat candidate-version/version)
source ... | bash |
d_bash_3749 | ---
+++
@@ -9,6 +9,8 @@
gn gen out.gn "--args=use_custom_libcxx=false clang_use_chrome_plugins=false v8_use_external_startup_data=false is_debug=false clang_base_path=\"${BUILD_PREFIX}\" mac_sdk_min=\"10.9\" use_system_xcode=false is_component_build=true mac_sdk_path=\"${CONDA_BUILD_SYSROOT}\" icu_use_system=true ... | bash |
d_bash_3750 | ---
+++
@@ -13,7 +13,7 @@
# Go into an infinite loop
while [ 1 ]; do
- echo "Metric cache"`date`
+ echo "Metric cache - "`date`
sudo -u www-data php $SCRIPT_HOME/warmup_metric_cache.php
sleep $SLEEP_TIME
| bash |
d_bash_3751 | ---
+++
@@ -8,7 +8,7 @@
# Standard go tooling behavior is to ignore dirs with leading underscores
for dir in $(find . -maxdepth 10 -not -path './vendor*' -not -path './.git*' -not -path '*/_*' -type d); do
if find $dir -type f | grep \.go$ > /dev/null; then
- go test -covermode=count -coverprofile=$dir/... | bash |
d_bash_3752 | ---
+++
@@ -4,8 +4,8 @@
file=$1
[ -n "$file" ]
-prog="sed $file -e '/# TEST SETUP/d' $(
- grep '^# TEST SETUP:' "$file" |
+prog="sed $file -e '/TEST SETUP/d' $(
+ grep '^TEST SETUP:' "$file" |
cut -d ':' -f2- |
awk "{print \"-e 's/\" \$2 \"/\" \$1 \"/g'\"}" |
tr '\n' ' ' | bash |
d_bash_3753 | ---
+++
@@ -26,3 +26,8 @@
# More convenient trigger sequence for fzf
export FZF_COMPLETION_TRIGGER=','
+
+# Use ripgrep for fzf if installed
+if command -v rg >/dev/null 2>&1; then
+ export FZF_DEFAULT_COMMAND='rg --files --no-ignore --hidden --follow --glob "!.git/*"'
+fi | bash |
d_bash_3754 | ---
+++
@@ -4,14 +4,18 @@
AUTOMAKE=${AUTOMAKE:-automake}
AM_INSTALLED_VERSION=$($AUTOMAKE --version | sed -e '2,$ d' -e 's/.* \([0-9]*\.[0-9]*\).*/\1/')
-if [ "$AM_INSTALLED_VERSION" != "1.11" \
- -a "$AM_INSTALLED_VERSION" != "1.12" ];then
+# FIXME: we need a better way for version check later.
+case "$AM_INS... | bash |
d_bash_3755 | ---
+++
@@ -17,6 +17,7 @@
grep -v -- -- | # Delete dashes between games
paste -d' ' $paste_dashes | # Combine opening moves into one line
cut -d' ' -f 1-3 | # Only include move text
+ sed -e 's/1-0//' -e 's/0-1//' -e 's/1\/2-1\/2//' | # delete endin... | bash |
d_bash_3756 | ---
+++
@@ -23,6 +23,6 @@
# cleanup gpg keys, just to be safe
if [ ! -z "$TRAVIS" ]; then
- shred -v ~/.gnupg/*
+ find ~/.gnupg/ -type f -exec shred -v {} \;
rm -rf ~/.gnupg
fi | bash |
d_bash_3757 | ---
+++
@@ -39,4 +39,4 @@
done &
# Open the screen unlock dialogs
-~/dotfiles/utils/screen-unlock &
+(sleep 60 && ~/dotfiles/utils/screen-unlock) & | bash |
d_bash_3758 | ---
+++
@@ -2,9 +2,24 @@
#
destaddr="127.0.0.1"
+ruledir=/CRS/tests
-while getopts "d:" opt; do
+while getopts "Dd:f:" opt; do
case $opt in
+ f)
+ if [ "$OPTARG" != "-" ]; then
+ ruledir=$OPTARG
+ else
+ T=`mktemp -d /tmp/rules.XXXXX`
+ ... | bash |
d_bash_3759 | ---
+++
@@ -1,19 +1,27 @@
# Colorize common tools with grc
-if (( $+commands[grc] )) && (( $+commands[brew] ))
-then
+if (( $+commands[grc] )) && (( $+commands[brew] )); then
source `brew --prefix`/etc/grc.bashrc
fi
-# Override ls with gls, add colors
-if $(gls &>/dev/null)
-then
+# Override ls with exa or gls... | bash |
d_bash_3760 | ---
+++
@@ -26,10 +26,10 @@
# Create log directory and give $USER access to the folder
sudo mkdir -p $LOGDIR
-sudo setfacl -m user:$ORIGUSER:rwx $LOGDIR
+sudo chown -hR $ORIGUSER $LOGDIR
# Create config directory and give $USER access to the folder
sudo mkdir -p $CONFDIR
-sudo setfacl -m user:$ORIGUSER:rwx $CON... | bash |
d_bash_3761 | ---
+++
@@ -1,3 +1,7 @@
alias reload!='. ~/.zshrc'
alias cls='clear' # Good 'ol Clear Screen command
+
+# Copying and pasting from sources online sometimes prefix with '%'.
+# Reference: http://zsh.sourceforge.net/Guide/zshguide01.html#l1
+alias %=' ' | bash |
d_bash_3762 | ---
+++
@@ -5,4 +5,13 @@
if [ -n "${DIB_UBUNTU_DISTRIBUTION_MIRROR:-}" ]; then
DIB_DISTRIBUTION_MIRROR=$DIB_UBUNTU_DISTRIBUTION_MIRROR
fi
-export DIB_DISTRIBUTION_MIRROR=${DIB_DISTRIBUTION_MIRROR:-http://archive.ubuntu.com/ubuntu}
+
+# There are two default distro mirrors depending on architecture
+ARCH=${ARCH... | bash |
d_bash_3763 | ---
+++
@@ -5,5 +5,5 @@
cd ${PERSONFINDER_DIR}
echo "Starting Person Finder server at ${IP_ADDR}:${PORT}"
-tools/gae run app --port=${PORT} --host=${IP_ADDR}
+tools/gae run app --port ${PORT} --host ${IP_ADDR} --admin_host=${IP_ADDR}
echo "Person Finder server stopped" | bash |
d_bash_3764 | ---
+++
@@ -8,7 +8,7 @@
for (( i=0; i<=$iterations; i++ ))
do
echo "Iteration $i"
- $MONOCMD bin/Release/netcoreapp3.0/linux-x64/publish/aspnet_start.exe
+ $MONOCMD bin/Release/netcoreapp3.0/linux-x64/publish/aspnet_start
done
echo "----------------------------------------------------------------" | bash |
d_bash_3765 | ---
+++
@@ -27,4 +27,4 @@
git commit -m "$(date)"
# Push!
-git push -f origin gh-pages:gh-pages
+git push -f origin gh-pages:gh-pages >/dev/null 2>&1 | bash |
d_bash_3766 | ---
+++
@@ -2,4 +2,11 @@
export BUNDLE_GEMFILE=$PWD/Gemfile
bundle exec cucumber
+EXIT_1=$?
+
bundle exec rspec
+EXIT_2=$?
+
+if [[ $EXIT_1 != 0 || $EXIT_2 != 0]]; then
+ exit 1
+fi | bash |
d_bash_3767 | ---
+++
@@ -14,9 +14,13 @@
mkdir -p ~/.ssh
-cp /var/run/secrets/lagoon/ssh/ssh-privatekey ~/.ssh/id_rsa
+cp /var/run/secrets/lagoon/ssh/ssh-privatekey ~/.ssh/key
+
+# Add a new line to the key, as some ssh key formats need a new line
+echo "" >> ~/.ssh/key
+
echo -e "Host * \n StrictHostKeyChecking no" > ~/.... | bash |
d_bash_3768 | ---
+++
@@ -1,8 +1,9 @@
#!/usr/bin/env zsh
# TODO: Slow, lazy load.
+
export NVM_DIR="$HOME/.nvm"
-if which brew &> /dev/null; then
- NVM_DIR=$(brew --prefix nvm 2> /dev/null)
-fi
+# User-specific installation.
[ -s "$NVM_DIR/nvm.sh" ] && . "$NVM_DIR/nvm.sh"
+# Homebrew installation.
+[ -s "/usr/local/opt/nvm/... | bash |
d_bash_3769 | ---
+++
@@ -12,4 +12,4 @@
defaults write com.apple.dock autohide -bool true
# Do not prompt for SSH keys
-ssh-add -A
+ssh-add -A 2>/dev/null | bash |
d_bash_3770 | ---
+++
@@ -7,7 +7,7 @@
git pull
mvn install
cd ../OpenOlympus
- git checkout newdevelopment
+ git checkout development
git pull
mvn install
cd .. | bash |
d_bash_3771 | ---
+++
@@ -1,7 +1,7 @@
# If CMakeCache.txt is present, it has to be deleted to use the new build root
-rm CMakeCache.txt -r
-mkdir build/ -p
-cd build/
+rm -r CMakeCache.txt
+mkdir -p build/
+cd build/
export NO_APP="False"
| bash |
d_bash_3772 | ---
+++
@@ -30,9 +30,9 @@
zeroconf = no
[${AFP_NAME}]
- path = /timemachine
- time machine = yes
- valid users = ${AFP_LOGIN}" >> /usr/local/etc/afp.conf
+ path = /timemachine
+ time machine = yes
+ valid users = ${AFP_LOGIN}" >> /usr/local/etc/afp.conf
if [ -n "$AFP_SIZE_LIMIT" ]; then
... | bash |
d_bash_3773 | ---
+++
@@ -23,9 +23,9 @@
git clone https://github.com/itchyny/calendar.vim ~/.vim/bundle/calendar
git clone https://github.com/itchyny/lightline.vim ~/.vim/bundle/lightline
- # Get patchet fonts
- git clone https://github.com/powerline/fonts ~/Documents/fonts
- bash ~/Documents/fonts/install.sh
... | bash |
d_bash_3774 | ---
+++
@@ -25,10 +25,8 @@
. ./venv/bin/activate
fi
-# if there isn't a version file we should copy the .dist one
-if [ ! -f ./app/version.py ]; then
- cp ./app/version.py.dist ./app/version.py
-fi
+# we need the version file to exist otherwise the app will blow up
+make generate-version-file
# Install Pyth... | bash |
d_bash_3775 | ---
+++
@@ -6,18 +6,18 @@
disk_avail=$(df -k --output=avail "$PWD" | tail -n1)
+echo "Disk space free: $(df -k -h --output=avail "$PWD" | tail -n1)"
+
if [[ $disk_avail -lt $DISK_MIN_AVAILABLE ]]; then
- echo "Not enough disk space free 🚨" >&2
+ echo "Not enough disk space free, cutoff is ${DISK_MIN_AVAILABL... | bash |
d_bash_3776 | ---
+++
@@ -21,4 +21,17 @@
echo "Installing marathon-lb."
yes | dcos package install marathon-lb
-google-chrome ${DCOS_URL}
+# Determine platform.
+platform='unknown'
+unamestr=`uname`
+if [[ "$unamestr" == 'Linux' ]]; then
+ platform='linux'
+else
+ platform='darwin'
+fi
+
+if [[ $platform == 'linux' ]]; then
... | bash |
d_bash_3777 | ---
+++
@@ -1,5 +1,5 @@
# Config variables local to the script
-version=${SOLR_VERSION:-6.6.3}
+version=${SOLR_VERSION:-6.6.4}
file="solr-${version}.tgz"
url="http://mirror.reverse.net/pub/apache/lucene/solr/${version}/${file}"
| bash |
d_bash_3778 | ---
+++
@@ -35,7 +35,7 @@
break
fi
- echo "$result" | jq -c -M '.hits.hits[]' | while read line
+ echo "$result" | jq -c -M '.hits.hits[]' | while read -r line
do
echo $line | jq -c -M '{index: {_id: ._id}}'
echo $line | jq -c -M '._source' | bash |
d_bash_3779 | ---
+++
@@ -8,14 +8,3 @@
alias flushdns='sudo killall -HUP mDNSResponder'
sqlite3 ~/Library/Preferences/com.apple.LaunchServices.QuarantineEventsV* 'delete from LSQuarantineEvent' # flush downloads list
-
-z_path=`brew --prefix`/etc/profile.d/z.sh
-if [ -e "$z_path" ]; then
- source "$z_path"
-fi
-
-nvm_path=$(b... | bash |
d_bash_3780 | ---
+++
@@ -6,8 +6,8 @@
. /etc/rc.subr
-name=rtpproxy
-rcvar=`set_rcvar`
+name="rtpproxy"
+rcvar="${name}_enable"
command="/usr/local/bin/rtpproxy"
pidfile="/var/run/rtpproxy.pid" | bash |
d_bash_3781 | ---
+++
@@ -15,9 +15,11 @@
if [ -d "$OBJDIR" ]; then
ANALYSIS_DIRS="$(find $OBJDIR -type d -name save-analysis)"
- $MOZSEARCH_PATH/tools/target/release/rust-indexer \
- "$FILES_ROOT" \
- "$INDEX_ROOT/analysis" \
- "$OBJDIR" \
- $ANALYSIS_DIRS
+ if [ "x$ANALYSIS_DIRS" != "x" ]; then
+ $MOZSEARCH... | bash |
d_bash_3782 | ---
+++
@@ -1,3 +1,4 @@
+#!/bin/bash
# Copyright (C) 2011 Colin Walters <walters@verbum.org>
#
@@ -31,6 +32,11 @@
BUILDDIR=$WORKDIR/tmp-eglibc
+export PSEUDO_PREFIX=${BUILDDIR}/sysroots/$(uname -m)-linux
+export PSEUDO_BINDIR=${PSEUDO_PREFIX}/usr/bin
+export PSEUDO_LIBDIR=${PSEUDO_BINDIR}/../lib/pseudo/lib
+... | bash |
d_bash_3783 | ---
+++
@@ -12,7 +12,7 @@
# Set up the environment, the database, and run Gratipay
cd /vagrant
-sudo -u vagrant make clean env schema data
+sudo -u vagrant --set-home make clean env schema data
# Output helper text
cat <<EOF | bash |
d_bash_3784 | ---
+++
@@ -1,10 +1,11 @@
import lib-hadoop
export HADOOP_BIN=${HADOOP_HOME}/bin
-export HADOOP_CONFIG=${HADOOP_HOME}/etc/hadoop
+export HADOOP_CONF_DIR=${HADOOP_HOME}/etc/hadoop
export HADOOP_LOG_DIR=${HADOOP_HOME}/logs
alias hcd='cd ${HADOOP_HOME}'
+alias hcdconf='cd ${HADOOP_CONF_DIR}'
alias hcdlog='cd ${... | bash |
d_bash_3785 | ---
+++
@@ -8,4 +8,4 @@
chown unbound:unbound ${ROOT_TRUST_DIR}
unbound-anchor -a $ROOT_TRUST_ANCHOR_FILE -v
chown unbound:unbound $ROOT_TRUST_ANCHOR_FILE
-exec unbound -p -c /etc/unbound/unbound.conf
+exec unbound -c /etc/unbound/unbound.conf | bash |
d_bash_3786 | ---
+++
@@ -5,10 +5,10 @@
exit 0;
fi
-git clone --depth 1 -b stable https://github.com/jedisct1/libsodium.git
-cd libsodium
+cd ${HOME}
+git clone --depth 1 -b stable https://github.com/jedisct1/libsodium.git libsodium-git
+cd libsodium-git
./autogen.sh
./configure --prefix=${HOME}/libsodium && make && make... | bash |
d_bash_3787 | ---
+++
@@ -9,10 +9,10 @@
docker build -q -t dwflynn/auth:0.0.1tls --build-arg TLS=--tls auth-service
# seriously? there's no docker push --quiet???
-docker push dwflynn/demo:1.0.0
-docker push dwflynn/demo:2.0.0
-docker push dwflynn/demo:1.0.0tls
-docker push dwflynn/demo:2.0.0tls
-docker push dwflynn/auth:0.0.1... | bash |
d_bash_3788 | ---
+++
@@ -9,6 +9,12 @@
fi
PATH="$BASE/../bin:$PATH"
+which bpipe
+if [ $? -ne 0 ]; then
+ echo Cannot find the 'bpipe' launch script on the path. Please make sure that 'BPIPE_ROOT/bin/bpipe' script has execute permission.
+ exit 1
+fi
+
function err() {
echo | bash |
d_bash_3789 | ---
+++
@@ -2,6 +2,7 @@
if [[ "$POSTGIS" == "2.0" ]]; then
psql -U postgres -d template_postgis -c "CREATE EXTENSION postgis;"
+ psql -U postgres -d template_postgis -c "CREATE EXTENSION postgis_topology;"
else
createlang -U postgres plpgsql template_postgis
psql -U postgres -d template_postgis -f /usr/... | bash |
d_bash_3790 | ---
+++
@@ -30,5 +30,5 @@
sudo -H pip install virtualenv
virtualenv --no-wheel --system-site-packages deployenv
source deployenv/bin/activate
-pip install --ignore-installed ansible orderedattrdict
+pip install --ignore-installed 'ansible~=2.1.2.0' orderedattrdict
deactivate | bash |
d_bash_3791 | ---
+++
@@ -1,10 +1,10 @@
#!/bin/sh
-
TARGET="$(dirname $0)/target/node"
-if [ ! -x "$TARGET/npm" ]; then
- echo "ERROR: npm not found at $TARGET/npm, did you run mvn install?"
+if [ ! -x "$TARGET/node" ]; then
+ echo "ERROR: node not found at $TARGET/node, did you run mvn install?"
exit 1
fi
-PATH=... | bash |
d_bash_3792 | ---
+++
@@ -1,2 +1,2 @@
-export NIX_CXXSTDLIB_COMPILE+="-isystem $(echo -n @gcc@/include/c++/*) -isystem $(echo -n @gcc@/include/c++/*)/$(@gcc@/bin/gcc -dumpmachine)"
+export NIX_CXXSTDLIB_COMPILE+=" -isystem $(echo -n @gcc@/include/c++/*) -isystem $(echo -n @gcc@/include/c++/*)/$(@gcc@/bin/gcc -dumpmachine)"
export... | bash |
d_bash_3793 | ---
+++
@@ -2,7 +2,7 @@
# script should be sourced
git remote add nightly "https://$GH_TOKEN@github.com/leanprover-community/lean-nightly.git"
-set -x # echo commands
+# set -x # echo commands
git fetch nightly --tags
export LEAN_VERSION_STRING="nightly-$(date -u +%F)" | bash |
d_bash_3794 | ---
+++
@@ -4,8 +4,8 @@
# Install Protocol Buffers
wget https://github.com/protocolbuffers/protobuf/releases/download/v$PROTOBUF_VERSION/protobuf-all-$PROTOBUF_VERSION.tar.gz
-tar -xf protobuf-$PROTOBUF_VERSION.tar.gz
-cd protobuf-$PROTOBUF_VERSION
+tar -xf protobuf-all-$PROTOBUF_VERSION.tar.gz
+cd protobuf-al... | bash |
d_bash_3795 | ---
+++
@@ -45,7 +45,5 @@
echo "Loading data from $FILE ..."
docker cp "$FILE" "$(docker-compose ps -q db)":/tmp/data.dump
-docker-compose exec db bash -c "pg_restore -l /tmp/data.dump | grep -v schema_migrations | grep -v ar_internal_metadata > /tmp/restore.list"
-docker-compose exec db pg_restore -L /tmp/restor... | bash |
d_bash_3796 | ---
+++
@@ -27,7 +27,7 @@
export GORP_TEST_DIALECT=sqlite
go test $coveralls_testflags $GOBUILDFLAG $@ .
-if [ -z "$COVERALLS_TOKEN" ]
+if [ -z ${COVERALLS_TOKEN+x} ]
then
if [[ `go version` == *"1.4"* ]]
then | bash |
d_bash_3797 | ---
+++
@@ -16,7 +16,7 @@
function setup_fs() {
if [ ! -f fs ]; then
dd if=/dev/null of=fs bs=1k seek=512k
- mkfs.ext4 -q -F fs
+ mkfs.ext2 -q -F fs
fi
mkdir -p rootfs ${target} | bash |
d_bash_3798 | ---
+++
@@ -7,8 +7,8 @@
mkdir test/tmp
cp Makefile test/tmp/Makefile
cd test/tmp
- echo "CC := ${CC}" >> .compiler.mk
- echo "CXX := ${CXX}" >> .compiler.mk
+ # echo "CC := ${CC}" >> .compiler.mk
+ # echo "CXX := ${CXX}" >> .compiler.mk
}
function teardown { | bash |
d_bash_3799 | ---
+++
@@ -12,7 +12,7 @@
echo "==> Preparing Pyenv configuration."
echo 'export PATH="$HOME/.pyenv/bin:$PATH"' >> /home/${SSH_USER}/.bashrc
echo 'eval "$(pyenv init -)"' >> /home/${SSH_USER}/.bashrc
-echo 'eval "$(pyenv virtualenv-init -)"' /home/${SSH_USER}/.bashrc
+echo 'eval "$(pyenv virtualenv-init -)"' >> /h... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.